## org.omg.BiDirPolicy
Class BidirectionalPolicyHelper

    java.lang.Object
      |
      +--org.omg.BiDirPolicy.BidirectionalPolicyHelper

public class BidirectionalPolicyHelper
extends java.lang.Object

Helper class for : BidirectionalPolicy

Author:
  OpenORB Compiler

Constructor Summary
`BidirectionalPolicyHelper()`

Method Summary
`static BidirectionalPolicy` `extract(Any a)` Extract BidirectionalPolicy from an any
`static java.lang.String` `id()` Return the BidirectionalPolicy IDL ID
`static void` `insert(Any a, BidirectionalPolicy t)` Insert BidirectionalPolicy into an any
`static BidirectionalPolicy` `narrow(Object obj)` Narrow CORBA::Object to BidirectionalPolicy
`static BidirectionalPolicy` `read(InputStream istream)` Read BidirectionalPolicy from a marshalled stream
`static TypeCode` `type()` Return the BidirectionalPolicy TypeCode
`static BidirectionalPolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to BidirectionalPolicy
`static void` `write(OutputStream ostream, BidirectionalPolicy value)` Write BidirectionalPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BidirectionalPolicyHelper

    public BidirectionalPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BidirectionalPolicy t)

  Insert BidirectionalPolicy into an any
  Parameters:
    `a` - an any
    `t` - BidirectionalPolicy value

### extract

    public static BidirectionalPolicy extract(Any a)

  Extract BidirectionalPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BidirectionalPolicy value

### type

    public static TypeCode type()

  Return the BidirectionalPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BidirectionalPolicy IDL ID
  Returns:
    an ID

### read

    public static BidirectionalPolicy read(InputStream istream)

  Read BidirectionalPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BidirectionalPolicy value

### write

    public static void write(OutputStream ostream,
                             BidirectionalPolicy value)

  Write BidirectionalPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BidirectionalPolicy value

### narrow

    public static BidirectionalPolicy narrow(Object obj)

  Narrow CORBA::Object to BidirectionalPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    BidirectionalPolicy Object

### unchecked_narrow

    public static BidirectionalPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to BidirectionalPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    BidirectionalPolicy Object